# © 2021-2024 Marco Bresciani
# 
# Copying and distribution of this file, with or without modification,
# are permitted in any medium without royalty provided the copyright
# notice and this notice are preserved.
# This file is offered as-is, without any warranty.
# 
# SPDX-FileCopyrightText: 2021-2024 Marco Bresciani
# SPDX-License-Identifier: FSFAP

#+AUTHOR: Marco Bresciani
#+LANGUAGE:  en
#+OPTIONS: toc:nil
#+TITLE: TKCompanionApp - Errors
# -*- mode: org; coding: utf-8-dos; -*-

This is the list of known errors or
[[https://codeberg.org/marcoXbresciani/TKCompanionApp/issues][Issues]].

1. +Bump tmpl from 1.0.4 to 1.0.5+
2. +Remove useless permission+
3. +Remove offending libs for F-Droid full FOSS release+
4. +appID confusion+
5. +I18N not fully completed+
6. [[https://codeberg.org/marcoXbresciani/TKCompanionApp/issues/6][Switching
   language through settings does not switch bottom navigation bar]]

   When switching languages through the Info -> Language area, the
   bottom navigation bar remains in the original language. See 5Q Card
   screenshot in README.md.

   Found in v0.6.0. Since v0.5.0.
7. +App crashes on Android 11 (Moto G31) when opening the newly added
   puzzle+
8. +Download links error - forbidden+
9. +Move translation info into the info field+
10. +Add support for ts-standard+
11. [[https://codeberg.org/marcoXbresciani/TKCompanionApp/issues/11][Cope
    with OpenSSF Best Practices]]

    It would be nice to fulfill the requirements for the OpenSSF Best
    Practices concepts, competing all the needed information to apply
    for a badge describing these practices. See
    [[https://bestpractices.coreinfrastructure.org/en]]
12. +Change download links to TK website+
13. +JSON Syntax Error+
14. +App crashes when opening calendar in a language different from
    Italian+
15. +Switching language make calendar crashes+
16. +Make app language and theme depending on system settings, implement
    Material You+
17. +Wrong dark/light mode and default language+
18. +Introduce Material You+
19. +Version 4.0.0 crashes+
20. +Version 4.0.1 crashes+
21. +Bump node-fetch from 1.7.3 to 2.6.7+
22. +Complete translations for >5.x versions+
23. +Restore 5Q card in Home Page/Screen+
24. +[Copycat/Clone of TKCompanionApp on Google Play+
25. +Modifications in PDSA Journal Learnt field do not trigger save
    icon+
26. Version 7 1.0 crashes
